# DataExchange
TKIGES
IGESDimen

# IGESDimen_FlagNote Class Reference

defines FlagNote, Type <208> Form <0>
in package IGESDimen
Is label information formatted in different ways

`#include <IGESDimen_FlagNote.hxx>`

Inheritance diagram for IGESDimen_FlagNote:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_FlagNote ()
Standard_EXPORT void | Init (const gp_XYZ &leftCorner, const Standard_Real anAngle, const Handle(IGESDimen_GeneralNote)&aNote, const Handle(IGESDimen_HArray1OfLeaderArrow)&someLeaders)
| This method is used to set the fields of the class FlagNote - leftCorner : Lower left corner of the Flag - anAngle : Rotation angle in radians - aNote : General Note Entity - someLeaders : Leader Entities .
Standard_EXPORT gp_Pnt | LowerLeftCorner () const
| returns Lower Left coordinate of Flag as Pnt from package gp
Standard_EXPORT gp_Pnt | TransformedLowerLeftCorner () const
| returns Lower Left coordinate of Flag as Pnt from package gp after Transformation.
Standard_EXPORT Standard_Real | Angle () const
| returns Rotation angle in radians
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns General Note Entity
Standard_EXPORT Standard_Integer | NbLeaders () const
| returns number of Arrows (Leaders) or zero
Standard_EXPORT Handle_IGESDimen_LeaderArrow | Leader (const Standard_Integer Index) const
| returns Leader Entity raises exception if Index <= 0 or Index > NbLeaders()
Standard_EXPORT Standard_Real | Height () const
| returns Height computed by the formula : Height = 2 * CH where CH is from theNote
Standard_EXPORT Standard_Real | CharacterHeight () const
| returns the Character Height (from General Note)
Standard_EXPORT Standard_Real | Length () const
| returns Length computed by the formula : Length = TW + 0.4*CH where CH is from theNote and TW is from theNote
Standard_EXPORT Standard_Real | TextWidth () const
| returns the Text Width (from General Note)
Standard_EXPORT Standard_Real | TipLength () const
| returns TipLength computed by the formula : TipLength = 0.5 * H / tan 35(deg) where H is Height()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | theLowerLeftcorner
Standard_Real | theAngle
Handle_IGESDimen_GeneralNote | theNote
Handle_IGESDimen_HArray1OfLeaderArrow | theLeaders

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_FlagNote::IGESDimen_FlagNote | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESDimen_FlagNote::Angle | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_FlagNote::CharacterHeight | ( |  | ) | const

Standard_EXPORT const IGESDimen_FlagNote::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Real IGESDimen_FlagNote::Height | ( |  | ) | const

Standard_EXPORT void IGESDimen_FlagNote::Init | ( | const gp_XYZ & | leftCorner,
|  | const Standard_Real | anAngle,
|  | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Handle(IGESDimen_HArray1OfLeaderArrow)& | someLeaders
| ) |

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_FlagNote::Leader | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Real IGESDimen_FlagNote::Length | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_FlagNote::LowerLeftCorner | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_FlagNote::NbLeaders | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_FlagNote::Note | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_FlagNote::TextWidth | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_FlagNote::TipLength | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_FlagNote::TransformedLowerLeftCorner | ( |  | ) | const

## Field Documentation

Standard_Real IGESDimen_FlagNote::theAngle `[private]`

Handle_IGESDimen_HArray1OfLeaderArrow IGESDimen_FlagNote::theLeaders `[private]`

gp_XYZ IGESDimen_FlagNote::theLowerLeftcorner `[private]`

Handle_IGESDimen_GeneralNote IGESDimen_FlagNote::theNote `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_FlagNote.hxx